Main Page Widgets Namespaces Book

# printoperation.h File Reference

## Classes
class | Gtk::PrintError
class | Gtk::PrintOperation
| PrintOperation is the high-level, portable printing API. More...
## Namespaces
namespace | Glib
namespace | Gtk
## Typedefs
typedef sigc::slot< void, const Glib::RefPtr<PageSetup >&> | Gtk::SlotPrintSetupDone
| For example, void on_setup_done(const Glib::RefPtr<PageSetup>& page_setup);.
## Enumerations
enum | Gtk::PrintOperationAction { Gtk::PRINT_OPERATION_ACTION_PRINT_DIALOG, Gtk::PRINT_OPERATION_ACTION_PRINT, Gtk::PRINT_OPERATION_ACTION_PREVIEW, Gtk::PRINT_OPERATION_ACTION_EXPORT }
enum | Gtk::PrintOperationResult { Gtk::PRINT_OPERATION_RESULT_ERROR, Gtk::PRINT_OPERATION_RESULT_APPLY, Gtk::PRINT_OPERATION_RESULT_CANCEL, Gtk::PRINT_OPERATION_RESULT_IN_PROGRESS }
enum | Gtk::PrintStatus { Gtk::PRINT_STATUS_INITIAL, Gtk::PRINT_STATUS_PREPARING, Gtk::PRINT_STATUS_GENERATING_DATA, Gtk::PRINT_STATUS_SENDING_DATA, Gtk::PRINT_STATUS_PENDING, Gtk::PRINT_STATUS_PENDING_ISSUE, Gtk::PRINT_STATUS_PRINTING, Gtk::PRINT_STATUS_FINISHED, Gtk::PRINT_STATUS_FINISHED_ABORTED }
## Functions
Glib::RefPtr<PageSetup> | Gtk::run_page_setup_dialog (Window& parent, const Glib::RefPtr<const PageSetup>& page_setup, const Glib::RefPtr<const PrintSettings>& print_settings)
| Runs a page setup dialog, letting the user modify the values from page_setup.
void | Gtk::run_page_setup_dialog_async (Window& parent, const Glib::RefPtr<const PageSetup>& page_setup, const Glib::RefPtr<const PrintSettings>& print_settings, const SlotPrintSetupDone& slot)
| Runs a page setup dialog, letting the user modify the values from page_setup.